Main Page Widgets Namespaces Book

# dragcontext.h File Reference

## Namespaces

namespace | Gdk
namespace | Glib
namespace | Gtk

## Enumerations

enum | DragAction { ACTION_DEFAULT = 1 << 0, ACTION_COPY = 1 << 1, ACTION_MOVE = 1 << 2, ACTION_LINK = 1 << 3, ACTION_PRIVATE = 1 << 4, ACTION_ASK = 1 << 5 }
enum | DragProtocol { DRAG_PROTO_MOTIF, DRAG_PROTO_XDND, DRAG_PROTO_NONE, DRAG_PROTO_WIN32_DROPFILES, DRAG_PROTO_OLE2, DRAG_PROTO_LOCAL }

## Functions

DragAction | operator& (DragAction lhs, DragAction rhs)
DragAction& | operator&= (DragAction& lhs, DragAction rhs)
DragAction | operator^ (DragAction lhs, DragAction rhs)
DragAction& | operator^= (DragAction& lhs, DragAction rhs)
DragAction | operator| (DragAction lhs, DragAction rhs)
DragAction& | operator|= (DragAction& lhs, DragAction rhs)
DragAction | operator~ (DragAction flags)